package com.quyunshuo.androidbaseframemvvm.base.addressenum

import com.quyunshuo.androidbaseframemvvm.base.R
import com.quyunshuo.androidbaseframemvvm.base.constant.DebugType

enum class PlcDebugStataAddressEnum(
    val type: Int,
    val pit: Int,
    val aName: String,
    val aNameId: Int
) {
    INPUT_01(DebugType.INPUT_IO, 1, "白糖", R.string.base_plc_debug_1),
    INPUT_02(DebugType.INPUT_IO, 2, "红糖", R.string.base_plc_debug_2),
    INPUT_03(DebugType.INPUT_IO, 3, "红糖", R.string.base_plc_debug_3),
    INPUT_04(DebugType.INPUT_IO, 4, "蓝糖", R.string.base_plc_debug_4),
    INPUT_05(DebugType.INPUT_IO, 5, "无刷气泵", R.string.base_plc_debug_5),
    INPUT_06(DebugType.INPUT_IO, 6, "循环风机", R.string.base_plc_debug_6),
    INPUT_07(DebugType.INPUT_IO, 7, "炉头加热", R.string.base_plc_debug_7),
    INPUT_08(DebugType.INPUT_IO, 8, "炉头加热", R.string.base_plc_debug_7),
    INPUT_09(DebugType.INPUT_IO, 9, "炉头加热", R.string.base_plc_debug_7),
    INPUT_10(DebugType.INPUT_IO, 10, "炉头加热", R.string.base_plc_debug_7),
    INPUT_11(DebugType.INPUT_IO, 11, "炉头加热", R.string.base_plc_debug_7),
    INPUT_12(DebugType.INPUT_IO, 12, "炉头加热", R.string.base_plc_debug_7),
    INPUT_13(DebugType.INPUT_IO, 13, "炉头加热", R.string.base_plc_debug_7),
    INPUT_14(DebugType.INPUT_IO, 14, "炉头加热", R.string.base_plc_debug_7),
    INPUT_15(DebugType.INPUT_IO, 15, "炉头加热", R.string.base_plc_debug_7),
    INPUT_16(DebugType.INPUT_IO, 16, "炉头加热", R.string.base_plc_debug_7),


}

//    M111("M111", "蒸发器风机", R.string.base_plc_debug_1),
//    M116("M116", "蒸发器压缩机",R.string.base_plc_debug_2),
//    M166("M166", "蒸发器电机",R.string.base_plc_debug_3),
//    M182("M182", "取餐门",R.string.base_plc_debug_4),
//    M174("M174", "口味皮带1",R.string.base_plc_debug_5),
//    M175("M175", "口味皮带2",R.string.base_plc_debug_6),
//    M176("M176", "口味皮带3",R.string.base_plc_debug_7),
//    M177("M177", "口味皮带4",R.string.base_plc_debug_8),
//    M173("M173", "落杯",R.string.base_plc_debug_9),
//    M171("M171", "转杯",R.string.base_plc_debug_10),
//    M184("M184", "清洗蠕动泵",R.string.base_plc_debug_11),
//    M178("M178", "口味泵1",R.string.base_plc_debug_12),
//    M179("M179", "口味泵2",R.string.base_plc_debug_13),
//    M180("M180", "口味泵3",R.string.base_plc_debug_14),
//    M181("M181", "口味泵4",R.string.base_plc_debug_15),
//    M199("M199", "拔针1",R.string.base_plc_debug_16),
//    M198("M198", "插针1",R.string.base_plc_debug_17),
//    M209("M209", "拔针2",R.string.base_plc_debug_18),
//    M208("M208", "插针2",R.string.base_plc_debug_19),
//    M219("M219", "拔针3",R.string.base_plc_debug_20),
//    M218("M218", "插针3",R.string.base_plc_debug_21),
//    M229("M229", "拔针4",R.string.base_plc_debug_22),
//    M228("M228", "插针4",R.string.base_plc_debug_23)